# 看丽人全媒体系统 KanLiRen All-media System(KAS) 

全媒体图片、视频站点解决方案，采用Go+MySQL进行开发，支持手机、PC浏览访问，能够搭建一个图片、视频站点，支持用户注册、内容付费观看、积分消费，是您得心应手的网赚利器。

## 支持平台

系统支持Windows、Linux、MacOS等主流操作系统。

## 系统要求

- MySQL数据库，用于存储KAS系统数据；
- FFMpeg用于视频缩略视频转换为mp4；

## 目录说明
```
data					数据库定期备份
public					样式、上传文件目录
  |__assets				静态css、js、图片等文件
  |__uploads			文件上传
templates				模板
  |__default			前台模板
  |__kas				后台模板
  |__member				会员中心模板
```

## 功能特点

## 系统安装

安装之前，确保服务器操作系统中已经安装MySQL、FFMpeg，其中FFMpeg需要加入到系统PATH中去。

1. 从官方站点下载对应平台的KAS版本；
2. 解压KAS文件到系统目录中；
3. 修改可执行文件下的`kas.toml`配置文件，配置文件中有修改的说明；
4. 命令行工作目录切换到KAS可执行文件所在目录下，执行命令`./kas -c kas.toml`启动系统服务；
5. 根据站点配置文件中的地址访问对应站点；
6. 默认后台地址`http://127.0.0.1:8888/kas`，用户名：`admin`，密码：`123456`，登录后请进行修改；

*推荐：采用Nginx作为前台Web服务，反向代理到KAS系统中，可实现负载均衡。*

## 资源

官方网站：https://kas.kanliren.com

演示站点：https://www.kanliren.com

版权申明：https://kas.kanliren.com/licence.html